% January 2015, F. DE FIORE and H. UHLIG. "Corporate debt structure and the financial crisis", JMCB 2015 and ECB WP No. 1759.
% Bank.m calculates everything, conditional on the entrepreneur
% having approached a bank.
% First, we solve for CSV problem with sigma_eps3 unknown

sigma = sigma_eps3;
solve_s;
omsolve_bank=omsolve;

eps2_lo = exp(- sigma_eps2^2/2 - 10*sigma_eps2);
eps2_hi = exp(- sigma_eps2^2/2 + 10*sigma_eps2);
eps2_stp = (eps2_hi-eps2_lo)/3500.001;
eps2_grd = eps2_lo : eps2_stp : eps2_hi;
eps2_weight = eps2_stp*dens(eps2_grd+eps2_stp/2,sigma_eps2);
prob_of_rect_eps2 = eps2_weight/sum(eps2_weight);

% We calculate everything for a number of different initial eps1's

s_times_eps1_low = max(s_bot,.001);
s_times_eps1_hi = min(s_top,3); 
s_times_eps1_stp = (s_times_eps1_hi - s_times_eps1_low)/3000.001;%2500
s_times_eps1_grd = s_times_eps1_low : s_times_eps1_stp : s_times_eps1_hi;

profbank = 0*s_times_eps1_grd;
eps2_cutoff =  0*s_times_eps1_grd;
frac_bank_dropout = 0*s_times_eps1_grd;
profbank_alt = 0*s_times_eps1_grd;
frac_bank_monitored = 0*s_times_eps1_grd;
om_store = [];
om_frac_store = [];

bank_fill_in_vec;

if (~DOING_ESTIMATION) & (~TABULATE_RESULTS) & (~DO_PERMANENT_SHOCK),
    DO_BANK_PLOT = 0;
    if DO_BANK_PLOT,
        omplot=interp1(rhsgrd2,omgrd2,s_times_eps1_grd);
        pro=(s_times_eps1_grd.*f_func(omplot,sigma_eps3)-chi)*xi;
        plot(s_times_eps1_grd,(1-tau)*profbank,s_times_eps1_grd,1+0*s_times_eps1_grd,'k--',...
            s_times_eps1_grd,pro,'k--');        
    end;
end;
