% January 2015, F. DE FIORE and H. UHLIG. "Corporate debt structure and the financial crisis", JMCB 2015 and ECB WP No. 1759.
% Bank_fill_in_vec computes everything needed to characterize bank-financed
% firms in the second stage of the period

eps2_quad_lo = exp(- sigma_eps2^2/2 - 10*sigma_eps2); 
eps2_quad_hi = exp(- sigma_eps2^2/2 + 10*sigma_eps2); 
eps2_quad_stp = (eps2_quad_hi-eps2_quad_lo)/3500; 
eps2_quad_grid = eps2_quad_lo : eps2_quad_stp : eps2_quad_hi;

le=length(s_times_eps1_grd);
profdensval = profitdens_vec(eps2_quad_grid);
profbank=sum(profdensval')*eps2_quad_stp;

% om_frac: fraction of entrepreneurs which will be monitored because
% their omega_eps3 is below the cutoff om (conditional on eps2 = eps2_grd)
om = interp1(rhsgrd2,omgrd2,s_times_eps1_grd'*eps2_grd);
om_frac = normcdf( (log( om )+ sigma_eps3^2/2)/sigma_eps3 );
res_o = ((s_times_eps1_grd'*eps2_grd).*f_func(om,sigma_eps3)-chi)*xi > 1;
om_store =         om.*res_o ;
om_frac_store =         om_frac.*res_o;
frac_bank_monitored = sum((res_o.*om_frac.*(ones(le,1)*eps2_weight))');
[dummy,ind]=max(res_o');
eps2_cutoff=eps2_grd(ind);


frac_bank_dropout=normcdf( (log( eps2_cutoff) + sigma_eps2^2/2)/sigma_eps2 );
frac_bank_continue = 1-frac_bank_dropout;

