%1 January 2015
%"Corporate Debt Structure and the Financial Crisis" (JMCB, 2015) by F. De Fiore and H. Uhlig

%estimation_quarterly_ea.m sets the free parameters s_aggr, sigma_eps1,
%sigma_eps2, sigma_eps3, xi, and tau
%to minimize the squared log deviation of the model prediction in steady state
%from the data.


if ~exist('DO_MULTIPLE_ESTIMATION'),
    DO_MULTIPLE_ESTIMATION = 0;
end;
if ~exist('DOING_SEARCH'),
    DOING_SEARCH = 0;
end;
if (~DO_MULTIPLE_ESTIMATION) & (~DOING_SEARCH),
    clear all
    DO_MULTIPLE_ESTIMATION = 0;
end;
if ~exist('DOING_SEARCH'),
    DOING_SEARCH = 0;
end;

if ~DOING_SEARCH,
    global s s_aggr eps1 chi xi mon r delta rhsgrd2 omgrd2 eps1_grd...
        eps2_weight eps2_grd s_bank s_cmf...
        sigma_eps1 sigma_eps2 sigma_eps3 tau eta...
        bf_cf aver_default l A s_times_eps1_stp ya_int...
        prob_of_rect_eps2 s_times_eps1_grd eps2_cutoff res4 res5...
        y ya_y c_y ce_y I_y z_K n_y aggr_debt_equity risk_premium_cmf...
        risk_premium_bank eps2_stp eps2_grd eps2_weight...
        expected_cmf_monitoring expected_bank_monitoring facts
end;

if ~DO_MULTIPLE_ESTIMATION,
    DOING_ESTIMATION = 1;
    tic
    
    format long
    
    
    if ~DOING_SEARCH,
        initial_guess = [1.000530592518364  0.016567805155764  0.022622394048695  0.171148598570017  3.195271417969750  0.009895619839787]; %fval=.11317
    end;
end;


if DOING_SEARCH, 
    N_MaxIter = 500;
    N_MaxFunEvals = 200;
    initial_guess_subset = initial_guess([1,4,5,6]);
    [p_subset,fval,exitflag,output] = fminsearch(@param_subset,initial_guess_subset,...
        optimset('Display','iter','MaxIter',N_MaxIter,'MaxFunEvals',N_MaxFunEvals));
    p = [p_subset(1),initial_guess(2),initial_guess(3),p_subset(2),p_subset(3),p_subset(4)];
else
    N_MaxIter = 500;  
    N_MaxFunEvals = 300;
    [p,fval,exitflag,output] = fminsearch(@param_quarterly_ea,initial_guess,...
        optimset('Display','iter','MaxIter',N_MaxIter));
end;




toc


